/**
 * @format
 */

import {AppRegistry, Dimensions} from 'react-native';
import Home from './src/config/app';
import {name as appName} from './app.json';
import EStyleSheet from "react-native-extended-stylesheet";
import PushNotificationService from "./src/service/PushNotificationService";

// set rem value for the whole project
// rem is a scale factor for texts
const entireScreenWidth = Dimensions.get('window').width;
EStyleSheet.build({$rem: entireScreenWidth / 400});

const pushNotificationService = new PushNotificationService();
pushNotificationService.configure();

AppRegistry.registerComponent(appName, () => Home);
