/**
 * Copyright (C) 2021 fortiss GmbH
 * @author Jorge de Lime Tostes – "tostes@fortiss.org"
 * @version 1.2
 * Sensor ontology as json object
 */

ontology = {
    'ontology': {
        'domain': {
            'health': [
                'nursing home',
                'hospital',
                'private home'
            ],
            'logistics': [
                'warehouses',
                'transport'
            ],
            'agriculture': [
                'irrigation',
                'livestock',
                'crop'
            ],
            'cmart city': {
                'mobility': [
                    'traffic',
                    'parking'
                ],
                'others': [
                    'public buildings',
                    'green space',
                    'environment',
                    'energy'
                ]
            },
            'building management': [
                'hospitality',
                'private home',
                'offices',
                'retail'
            ]
        },
        'monitoring aspect': {
            'places': [
                'offices',
                'retail',
                'private home',
                'hospitality',
                "environment"
            ],
            'objects': {
                'transport': [
                    'public',
                    'private',
                    'shared mobility'
                ],
                'others': [
                    'goods',
                    'electrical devices',
                    'plant',
                    'human',
                    'animal'
                ]
            }
        },
        'measurement type': {
            'motion': [
                'movement',
                'inertia',
                'vibration',
                'acceleration',
                'occupancy',
                'velocity'
            ],
            'position': [
                'orientation',
                'inclination',
                'proximity',
                'location',
                'presence'
            ],
            'environment': [
                'temperature',
                'humidity',
                'luminance',
                'acoustic',
                'radiation',
                'gas',
                'electrical',
                'chemical',
                'magnetic field',
                'emf',
                'color',
                'machine vision'
            ],
            'energy': [
                'consumption',
                'production',
                'storage capacity'
            ],
            'mass': [
                'volume',
                'pressure',
                'density',
                'deformation',
                'viscosity',
                'flow',
                'moisture',
                'strain',
                'corrosion',
                'electrical conductivity'
            ],
            'biosensor': {
                'body': [
                    'height',
                    'weight',
                    'fat',
                    'muscle mass',
                    'bone density',
                    'ground reaction force',
                    'gait',
                    'joint torque',
                    'posture',
                    'skeletal muscles activity',
                    'temperature'
                ],
                'organ': [
                    'brain electrical activity',
                    'eye movement',
                    'heart electrical activity',
                    'heart rate',
                    'respiratory flow',
                    'imaging'
                ],
                'tissue fluid': [
                    'glucose level',
                    'ph',
                    'blood pressure',
                    'spo2',
                    'sodium and conductivity',
                    'blood vessel stiffness',
                    'microbial structure',
                    'cell structure'
                ]
            }
        }
    }
};

module.exports = ontology;
