/**
 * Copyright (C) 2021 fortiss GmbH
 * @author Erkan Karabulut – "karabulut@fortiss.org"
 * @version 1.2
 * This file includes page navigations inside mobile app
 */

import Home from '../scene/Home';
import {createStackNavigator} from "@react-navigation/stack";
import Discover from "../scene/Discover";
import Updates from "../scene/Updates";
import Describe from "../scene/Describe";
import AspectInsertResult from "../scene/AspectInsertResult";
import React from "react";
import {NavigationContainer} from "@react-navigation/native";

const Stack = createStackNavigator();

/**
 * Initiate navigators to other screens
 * @returns {JSX.Element}
 * @constructor
 */
export default function Rootstack() {
    return (
        <NavigationContainer>
            <Stack.Navigator
                initialRouteName="Home"
                screenOptions={{gestureEnabled: false, headerShown: false}}>
                <Stack.Screen
                    name="Home"
                    component={Home}/>
                <Stack.Screen
                    name="Describe"
                    component={Describe}/>
                <Stack.Screen
                    name="Discover"
                    component={Discover}/>
                <Stack.Screen
                    name="Updates"
                    component={Updates}/>
                <Stack.Screen
                    name="AspectInsertResult"
                    component={AspectInsertResult}/>
            </Stack.Navigator>
        </NavigationContainer>
    );
}
