/**
 * Copyright (C) 2021 fortiss GmbH
 * @author Erkan Karabulut – "karabulut@fortiss.org"
 * @version 1.2
 * This file includes all the UI text in different languages
 */

const Messages = {
    en: {
        accuracy: "Accuracy",
        acceleration: "Acceleration",
        acoustic: "Acoustic",
        agriculture: "Agriculture",
        animal: "Animal",
        appTitleShort: "TSMatch",
        areaOfInterest: "Area of Interest",
        biosensor: "Biosensor",
        bloodPressure: "Blood Pressure",
        bloodVesselStiffness: "Blood Vessel Stiffness",
        brainElectricalActivity: "Brain Electrical Activity",
        boneDensity: "Bone Density",
        buildingManagement: "Building Management",
        cancel: "Cancel",
        cellStructure: "Cell Structure",
        chemical: "Chemical",
        close: "Close",
        color: "Color",
        connected: "Connected",
        connectedToBroker: "Connected to the broker.",
        connectionStatus: "Status",
        contact: "Contact",
        corrosion: "Corrosion",
        crop: "Crop",
        deformation: "Deformation",
        deleteAspectRequest: "Delete request is sent!",
        density: "Density",
        describe: "Service Selection",
        describeDefinition: "Describe features you want to monitor",
        describePageDefinition: "Describe the aspect you want to monitor",
        description: "Description",
        destination: "Destination",
        deviceCount: "Device count",
        deviceDeadvertised: "Device is de-advertised: ",
        deviceDetails: "Device Details",
        deviceDiscovered: "A new device is discovered: ",
        disconnected: "Disconnected",
        disconnectedToBroker: "Disconnected to the broker!",
        discover: "Discover",
        discoverDefinition: "Discover available IoT Things",
        discoverPageHeader: "Discover all available IoT Things",
        distance: "Distance",
        domainSelectionSentence: "I operate in $ domain, and more specifically $.",
        efpfPlatform: "EFPF Platform",
        electrical: "Electrical",
        electricalConductivity: "Electrical Conductivity",
        electricalDevices: "Electrical Devices",
        emf: "EMF (Electromagnetic Field)",
        energy: "Energy",
        energyConsumption: "Energy Consumption",
        energyProduction: "Energy Production",
        energyStorage: "Energy Storage",
        environment: "Environment",
        equipment: "Equipment",
        error: "Error!",
        everyDay: "Every day",
        everyWeek: "Every week",
        externalEndPoint: "External End-point",
        externalServiceRequest: "External service request",
        eyeMovement: "Eye Movement",
        fat: "Fat",
        facility: "Facility",
        fileName: "File Name",
        fileNotSelected: "No selection",
        fillAllPlacesError: "Please fill all the input fields!",
        flow: "Flow",
        fullAppTitle: "Things To Service Matching",
        gait: "Gait",
        gas: "Gas",
        getUpdates: "Monitor",
        getUpdatesDefinition: "Get observations from available IoT Things",
        glucoseLevel: "Glucose Level",
        goods: "Goods",
        greenSpace: "Green Space",
        groundReactionForce: "Ground Reaction Force",
        health: "Health",
        heartElectricalActivity: "Heart Electrical Activity",
        heartRate: "Heart Rate",
        height: "Height",
        hideAdvancedSettings: "Hide Advanced Settings",
        home: "Home",
        hospital: "Hospital",
        hospitality: "Hospitality",
        howToModalText: "<h4>How To?</h4><p>A short description of the each page is given below. For a longer description please refer to the fortiss IIoT Lab TSMatch documentation.</p>" +
            "<p><strong>Environment</strong>: Choose an environment to connect; either \"fortiss IIoT Lab\" or \"EFPF Platform\"\n" +
            "<strong>Discover</strong>: Shows a list of active sensors in the environment.\n" +
            "<strong>Service Selection</strong>: Describe an IoT service based on the sensing infrastructure of the environment.\n" +
            "<strong>Monitor</strong>: Visualizations of the aggregated sensor observation data based on the created service request.</p>",
        howToUseAppDescription: "What to write here?",
        human: "Human",
        humidity: "Humidity",
        logistics: "Logistics",
        iiotLab: "fortiss IIoT Lab",
        imaging: "Imaging",
        inclination: "Inclination",
        inertia: "Inertia",
        infrastructure: "Infrastructure",
        insertAspectFileLink: "Insert file path or link...",
        irrigation: "Irrigation",
        isMonitored: "is monitored using",
        isNotMonitored: "is not possible to monitor due to",
        invalidURL: "URL address is invalid!",
        jointTorque: "Joint Torque",
        layout: "Layout",
        level: "Level",
        light: "Light",
        livestock: "Livestock",
        loadForce: "Load/Force",
        location: "Location",
        luminance: "Luminance",
        machineVision: "Machine Vision",
        magneticField: "Magnetic Field",
        manuallyInsertAspect: "Manually fill out the description form",
        manufacturing: "Manufacturing",
        mass: "Mass",
        meanFunction: "Mean Function",
        measurementTypeSentence: "Notify me as soon as the $ measurement value $ exceeds $ $",
        microbialStructure: "Microbial Structure",
        mobility: "Mobility",
        moisture: "Moisture",
        monitoredAspects: "Active service requests",
        monitoredAspectListItem: "$ aspect $ with $ $ threshold.",
        monitoringAspectSentence: "I am interested in monitoring $, and more specifically $.",
        motion: "Motion",
        movement: "Movement",
        muscleMass: "Muscle Mass",
        nonMatchedLocations: "Grouping is not possible for following locations: ",
        notConnectedToBroker: "Client is not connected to broker! Try again later or restart the app.",
        numberOfPeople: "Number of People",
        nursingHomes: "Nursing Homes",
        ok: "Ok",
        objects: "Objects",
        occupancy: "Occupancy",
        offices: "Offices",
        optical: "Optical",
        or: "Or",
        orientation: "Orientation",
        oxygen: "Oxygen",
        password: "Password",
        perBuilding: "Per building",
        perDevice: "Per device",
        perFloor: "Per floor",
        perRoom: "Per room",
        person: "Person",
        ph: "pH",
        places: "Places",
        plant: "Plant",
        position: "Position",
        posture: "Posture",
        presence: "Presence",
        pressure: "Pressure",
        privateHomes: "Private Homes",
        proximity: "Proximity",
        publicBuilding: "Public Building",
        radiation: "Radiation",
        requestByUrl: "Request by URL",
        requestByFile: "Request by File",
        requestByFileDescription: "Pick an OWL or WSDL file describing a service",
        respiratoryFlow: "Respiratory Flow",
        retail: "Retail",
        rotation: "Rotation",
        save: "Save",
        search: "Search",
        searchBarPlaceHolder: "Search device...",
        select: "Select",
        selectAspect: "Select an aspect",
        serviceRequestHost: "Service Request Host",
        serviceRequestPort: "Service Request Port",
        settings: "Settings",
        settingsSavedSuccessfully: "Settings are successfully saved!",
        setup: "Set-up",
        shock: "Shock",
        showAdvancedSettings: "Show Advanced Settings",
        skeletalMusclesActivity: "Skeletal Muscles Activity",
        smartCity: "Smart City",
        sodiumConductivity: "Sodium and Conductivity",
        space: "Space",
        spo2: "SpO2",
        strain: "Strain",
        submit: "Submit",
        successfulAspectMonitoring: "New aspect is successfully monitored",
        temperature: "Temperature",
        thing: "Thing",
        things: "Things",
        transport: "Transport",
        tryAgain: "Try again",
        type: "Type",
        unit: "Unit",
        unSuccessfulAspectMonitoring: "New aspect can't be monitored",
        updateThreshold: "Update Threshold",
        updateSchedule: "Update Schedule",
        upload: "Upload",
        uploadNewAspect: "Upload your description",
        useFromSettings: "Custom settings",
        username: "Username",
        velocity: "Velocity",
        vibration: "Vibration",
        viscosity: "Viscosity",
        volume: "Volume",
        warehouses: "Warehouses",
        weight: "Weight"
    },
    de: {}
}

export default Messages
