/**
 * Copyright (C) 2021 fortiss GmbH
 * @author Erkan Karabulut – "karabulut@fortiss.org"
 * @version 1.2
 * This file includes the action for updating app constants on react-redux storage
 */

const initialState = {
    constantsObject: {}
}

/**
 * Update constants on react redux
 * @param state
 * @param action
 * @returns {{constantsObject: {}}}
 */
const constants = (state = initialState, action) => {
    switch (action.type) {
        case 'UPDATE_CONSTANTS':
            Object.keys(action.constants).map((key) => {
                state.constantsObject[key] = action.constants[key];
            });
            break;
    }

    return {constantsObject: state.constantsObject};
}

export default constants;

