/**
 * Copyright (C) 2021 fortiss GmbH
 * @author Erkan Karabulut – "karabulut@fortiss.org"
 * @version 1.2
 * Device/sensor related operations on react-redux storage
 */

const initialState = {
    deviceList: []
}

/**
 * Device storage operations on react redux
 * @param state
 * @param action
 * @returns {{deviceList: []}}
 */
const device = (state = initialState, action) => {
    switch (action.type) {
        case 'ADD_DEVICE':
            let isDeviceExist = false;
            state.deviceList.map((device) => {
                // check if the device is already exists
                if (device.objectId === action.device.objectId) {
                    isDeviceExist = true;
                }
            })

            if (!isDeviceExist) {
                state.deviceList.push(action.device);
            }
            break;
        case 'REMOVE_DEVICE':
            let index = -1;
            // search for the given device and remove
            for (let i = 0; i < state.deviceList.length; i++) {
                if (state.deviceList[i].objectId === action.device.objectId) {
                    index = i;
                    break;
                }
            }

            if (index !== -1) {
                state.deviceList.splice(index, 1);
            }
            break;
    }

    return {deviceList: state.deviceList};
}

export default device

