/**
 * Copyright (C) 2021 fortiss GmbH
 * @author Erkan Karabulut – "karabulut@fortiss.org"
 * @version 1.2
 * Main react redux reducers, which combines all other reducers
 */

import {combineReducers} from 'redux'
import language from './language'
import device from './device'
import observation from './observation'
import request from './request'
import response from './response'
import constants from './constants'

// root reducer object
const reducers = combineReducers({
    language,
    device,
    observation,
    request,
    response,
    constants
});

export default reducers;
