/**
 * Copyright (C) 2021 fortiss GmbH
 * @author Erkan Karabulut – "karabulut@fortiss.org"
 * @version 1.2
 * UI language related operations on react-redux storage
 */

import {GET_USER_LOCALE} from '../action/language'
import Messages from '../constant/string/Messages'

/**
 * default language is English
 */
const defaultLang = 'en'
const initialState = {
    code: defaultLang,
    messages: Messages[defaultLang]
}

/**
 * et messages according to user's language
 * @param state
 * @param action
 * @returns {{code: *, messages: *}|{code: string, messages: *}}
 */
const language = (state = initialState, action) => {
    switch (action.type) {
        case GET_USER_LOCALE:
            return {code: action.code, messages: Messages[action.code]}
        default:
            return {code: state.code, messages: state.messages}
    }
}

export default language
