/**
 * Copyright (C) 2021 fortiss GmbH
 * @author Erkan Karabulut – "karabulut@fortiss.org"
 * @version 1.2
 * Sensor observations related operations on react-redux storage
 */

const initialState = {
    observationList: []
}

/**
 * Observation storage operations on react redux
 * @param state
 * @param action
 * @returns {{observationList: []}}
 */
const observation = (state = initialState, action) => {
    switch (action.type) {
        case 'ADD_OBSERVATION':
            state.observationList.push(action.observation);
            break;
        case 'REMOVE_OBSERVATION':
            state.observationList.forEach(function (observation) {
                if (observation.objectId === action.objectId) {
                    state.observationList.splice(state.observationList.indexOf(observation), 1);
                }
            });
            break;
        case 'REMOVE_DEVICE_OBSERVATIONS':
            let counter = 0;
            while (counter < state.observationList.length) {
                let observation = state.observationList[counter];
                if (observation.sensorIds.includes(action.deviceId)) {
                    state.observationList.splice(state.observationList.indexOf(observation), 1);
                } else {
                    counter++;
                }
            }
    }

    return {observationList: state.observationList};
}

export default observation;

