/**
 * Copyright (C) 2021 fortiss GmbH
 * @author Erkan Karabulut – "karabulut@fortiss.org"
 * @version 1.2
 * Service request related operations on react-redux storage
 */

const initialState = {
    requestList: []
}

/**
 * Request storage operations on react redux
 * @param state
 * @param action
 * @returns {{requestList: []}}
 */
const request = (state = initialState, action) => {
    switch (action.type) {
        case 'ADD_REQUEST':
            state.requestList.push(action.request);
            break;
        case 'REMOVE_REQUEST':
            state.requestList.forEach(function (request) {
                if (JSON.stringify(request) === JSON.stringify(action.request)) {
                    state.requestList.splice(state.requestList.indexOf(request), 1);
                }
            });

            break;
        case 'REMOVE_ALL_REQUESTS':
            state.requestList = [];
    }

    return {requestList: state.requestList};
}

export default request;

