/**
 * Copyright (C) 2021 fortiss GmbH
 * @author Erkan Karabulut – "karabulut@fortiss.org"
 * @version 1.2
 * Includes observation object related operations
 */

/**
 * This class includes common functions related with observations
 */
export default class ObservationService {
    /**
     * Extract location info from given observation and format it
     * @param observation
     */
    static getLocationTextFromObservation(observation) {
        let locationString = "Building Name: " + observation.location.building.name + " ";
        locationString += "Building address: " + observation.location.building.address + " ";
        if (observation.location.floor) {
            locationString += "Floor: " + observation.location.floor + " ";
        }
        if (observation.location.room) {
            locationString += "Room: " + observation.location.room;
        }

        return locationString;
    }
}
